Name:		autojump
Version:	21.7.1
Release:	%mkrel 4
Summary:	A fast way to navigate your filesystem from the command line
Group:		Shells
License:	GPLv3+
URL:		http://wiki.github.com/joelthelion/autojump
Source:		https://github.com/joelthelion/%{name}/archive/release-v%{version}.tar.gz
BuildArch:	noarch

%description
autojump provides a fast way to navigate your filesystem, with a "cd command
that learns".

It works by maintaining a database of the directories you use the most from
the command line, and allows you to "jump" to frequently used directories by
typing only "j" + a small pattern.

%package zsh
Requires:       %{name} = %{version}-%{release}
Group:          Shells
Summary:        Autojump for zsh

%description zsh
autojump is a faster way to navigate your filesystem. It works by maintaining 
a database of the directories you use the most from the command line.
autojump-zsh is designed to work with zsh.

%prep
%setup -q -n %{name}-release-v%{version}

%build
#make docs

%check
#python tests/runtests.py

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
sh install.sh --destdir %{buildroot} --prefix %{_prefix} --zshshare %{_datadir}/zsh/site-functions/

%files
%doc LICENSE README.md AUTHORS
%{_bindir}/%{name}
%{_bindir}/%{name}_argparse.py
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.sh
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.bash
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.fish

%files zsh
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.zsh
%dir %{_datadir}/zsh/site-functions/
%{_datadir}/zsh/site-functions/_j


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 21.7.1-4.mga6
+ Revision: 939785
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 21.7.1-3.mga5
+ Revision: 746136
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 21.7.1-2.mga5
+ Revision: 678061
- Mageia 5 Mass Rebuild

* Tue Aug 12 2014 stormi <stormi> 21.7.1-1.mga5
+ Revision: 662055
- update autojump to 21.7.1

  + dams <dams>
    - clean specfile

* Fri Oct 18 2013 umeabot <umeabot> 21.1.2-3.mga4
+ Revision: 502977
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 21.1.2-2.mga3
+ Revision: 346661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 stormi <stormi> 21.1.2-1.mga3
+ Revision: 338371
- fix group
- new version 21.2.1
- new version 19

* Sat Sep 24 2011 stormi <stormi> 17-1.mga2
+ Revision: 147542
- add patch to remove the need for a "python2" binary
- new version 17
- clean spec

* Thu Apr 14 2011 stormi <stormi> 15-1.mga1
+ Revision: 85534
- imported package autojump

